import requests
import time

TOKEN = ""
DEVICE = "truck"
VARIABLE = "speed"
DELAY = 1  # Delay in seconds


def get_var_dots(device, variable, num_values=1):
    try:
        url = "http://things.ubidots.com/"
        url = "{0}api/v1.6/devices/{1}/{2}/values".format(
            url, device, variable)
        url = "{0}?page_size={1}".format(url, num_values)
        headers = {"X-Auth-Token": TOKEN, "Content-Type": "application/json"}
        req = requests.get(url=url, headers=headers)
        return req.json()['results']
    except:
        pass


def parse_value(data_json):
    return data_json["value"]


if __name__ == "__main__":
    while True:
        # Gets the last two values
        results = get_var_dots(DEVICE, VARIABLE, num_values=2)

        # optional print results
        for (index, result) in enumerate(results):
            value = parse_value(result)
            print("result {0}: {1}".format(index+1, value))
        time.sleep(DELAY)
